<?php

function mobilequiz_create_midlet( $quiz_id, $sms_number ) {
	//echo "1\n";

	global $CFG;
	//require_once("../../config.php");
	require_once($CFG->dirroot.'/lib/dmllib.php');
	require_once($CFG->dirroot.'/mod/mobilequiz/quizex.php');
	require_once($CFG->dirroot.'/mod/mobilequiz/mobilestudy.php');

	if (! $quiz_id ) {
		error("Please select an existing quiz to mobilize");
	}


	if (! $quiz = get_record("quiz", "id", $quiz_id)) {
		error("There is no quiz with id $quiz_id");
	}

	$quiz = quizex_load_questions( $quiz );
	
	mobilequiz_validate_quiz( $quiz ); 


	$document = quizex_get_dom( $quiz );
	$document->formatOutput = true;

	$response_dom = mobilestudy_add_quiz( $quiz->id, $document->saveXML(), $sms_number );

	return $response_dom;

}

function mobilequiz_validate_quiz( $quiz ) {

	global $QTYPES;
	#error( var_dump( array( '<pre>', $QTYPES, '</pre>') ) );

	$out = "";
	foreach ( $quiz->questionarray as $question ) {
		$qtype = $question->qtype;
		#$qtype = 'blah';
		if ( $qtype != 'multichoice' and $qtype != 'shortanswer' and $qtype != 'truefalse' and $qtype != 'essay' and $qtype != 'description' ) {
			$str = get_string($qtype, 'quiz' ) or $qtype;
			$out .= "<p>* $str</p>\n";
		}
	}

	if ( $out ) {
		$out = "Unable to create mobile quiz. The following question types exist in the quiz but are not allowed in a mobile quiz:\n" . $out;
		error( $out );
	}

}

function mobilequiz_get_version() {
	# There must be a better way!
	$module = (object)'test';
	include( 'version.php' );
	return $module->version;
}

?>
