<?php  // $Id: view.php,v 1.3 2006-04-05 08:11:51 gustav_delius Exp $

    require_once("../../config.php");
    require_once("lib.php");

    $id = optional_param('id', 0, PARAM_INT);    // Course Module ID, or
    $a = optional_param('a', 0, PARAM_INT);     // mobilequiz ID

    if ($id) {
        if (! $cm = get_record("course_modules", "id", $id)) {
            error("Course Module ID was incorrect");
        }
    
        if (! $course = get_record("course", "id", $cm->course)) {
            error("Course is misconfigured");
        }
    
        if (! $mobilequiz = get_record("mobilequiz", "id", $cm->instance)) {
            error("Course module is incorrect");
        }

    } else {
        if (! $mobilequiz = get_record("mobilequiz", "id", $a)) {
            error("Course module is incorrect");
        }
        if (! $course = get_record("course", "id", $mobilequiz->course)) {
            error("Course is misconfigured");
        }
        if (! $cm = get_coursemodule_from_instance("mobilequiz", $mobilequiz->id, $course->id)) {
            error("Course Module ID was incorrect");
        }
    }

    require_login($course->id);

    add_to_log($course->id, "mobilequiz", "view", "view.php?id=$cm->id", "$mobilequiz->id");

	// Get the parent quiz
	$parentquiz = get_record('quiz', 'id', $mobilequiz->parent_id);

	// And the corresponding  quiz coursemodule
	if (! $quiz_cm = get_coursemodule_from_instance("quiz", $parentquiz->id, $course->id)) {
		error("Course Module ID was incorrect");
	}

    $strmobilequizzes = get_string("modulenameplural", "mobilequiz");
    $strmobilequiz  = get_string("modulename", "mobilequiz");

	$context = get_context_instance(CONTEXT_MODULE, $cm->id);

	// Array of unsupported options in the quiz
	$all_unsupported_options = array(
		get_string('quizopen', 'quiz') => $parentquiz->timeopen,
		get_string('quizclose', 'quiz') => $parentquiz->timeclose,
		get_string('timelimitmin', 'quiz' ) => $parentquiz->timelimit,
		get_string('penaltyscheme', 'quiz' ) => $parentquiz->penaltyscheme,
		get_string('attemptsallowed', 'quiz' ) => $parentquiz->attempts,
		get_string('eachattemptbuildsonthelast', 'quiz') => $parentquiz->attemptonlast,
		get_string('requirepassword', 'quiz' ) => $parentquiz->password,
		get_string('requiresubnet', 'quiz' ) => $parentquiz->subnet,
		get_string('delay1', 'quiz' ) => $parentquiz->delay1,
		get_string('delay2', 'quiz' ) => $parentquiz->delay2,
	);

	function filter_supported_options( $var ) {
		return $var;
	}

	$unsupported_options = array_filter( $all_unsupported_options, "filter_supported_options" );
	include( "template/view.php" );

?>
