<?php // $Id: index.php,v 1.24.2.5 2008/02/05 21:39:52 skodak Exp $

    require_once("../../config.php");
    require_once("lib.php");

    $id = required_param('id', PARAM_INT);    // Course Module ID

    if (! $course = get_record("course", "id", $id)) {
        error("Course ID is incorrect");
    }

    require_course_login($course);

    add_to_log($course->id, "mobilequiz", "view all", "index.php?id=$course->id", "");

    $strmobilequizs = get_string("modulenameplural", "mobilequiz");
    $strweek = get_string("week");
    $strtopic = get_string("topic");
    $strname = get_string("name");
    $strstatus = get_string("status");
    $strdone  = get_string("done", "mobilequiz");
    $strnotdone  = get_string("notdone", "mobilequiz");

    $navlinks = array();
    $navlinks[] = array('name' => $strmobilequizs, 'link' => '', 'type' => 'activity');
    $navigation = build_navigation($navlinks);

    print_header_simple("$strmobilequizs", "", $navigation,
                 "", "", true, "", navmenu($course));

    if (! $mobilequizs = get_all_instances_in_course("mobilequiz", $course)) {
        notice(get_string('thereareno', 'moodle', $strmobilequizs), "../../course/view.php?id=$course->id");
    }

    if ($course->format == "weeks") {
        #$table->head  = array ($strweek, $strname, $strstatus);
        $table->head  = array ($strweek, $strname);
        $table->align = array ("CENTER", "LEFT", "LEFT");
    } else if ($course->format == "topics") {
        #$table->head  = array ($strtopic, $strname, $strstatus);
        $table->head  = array ($strtopic, $strname);
        $table->align = array ("CENTER", "LEFT", "LEFT");
    } else {
        #$table->head  = array ($strname, $strstatus);
        $table->head  = array ($strname);
        $table->align = array ("LEFT", "LEFT");
    }

    $currentsection = '';

    foreach ($mobilequizs as $mobilequiz) {

        //Calculate the href
        if (!$mobilequiz->visible) {
            //Show dimmed if the mod is hidden
            $tt_href = "<a class=\"dimmed\" href=\"view.php?id=$mobilequiz->coursemodule\">".format_string($mobilequiz->name,true)."</a>";
        } else {
            //Show normal if the mod is visible
            $tt_href = "<a href=\"view.php?id=$mobilequiz->coursemodule\">".format_string($mobilequiz->name,true)."</a>";
        }


		$printsection = "";
        if ($mobilequiz->section !== $currentsection) {
            if ($mobilequiz->section) {
                $printsection = $mobilequiz->section;
            }
            if ($currentsection !== "") {
                $table->data[] = 'hr';
            }
            $currentsection = $mobilequiz->section;
        }

        if ($course->format == "weeks" or $course->format == "topics") {
#            $table->data[] = array ($printsection, $tt_href, "<a href=\"view.php?id=$mobilequiz->coursemodule\">$ss</a>");
            $table->data[] = array ($printsection, $tt_href);
        } else {
#            $table->data[] = array ($tt_href, "<a href=\"view.php?id=$mobilequiz->coursemodule\">$ss</a>");
            $table->data[] = array ($tt_href );
        }
    }

    echo "<br />";
    print_table($table);
    print_footer($course);

?>
