<?PHP 

$string['modulename'] = 'Mobile Quiz';
$string['modulenameplural'] = 'Mobile Quizzes';

#For settings page
$string['mobilequizserverconfig'] = 'Mobile Quiz Server Configuration';
$string['explainmobilequizserverconfig'] = 'These settings determine how Moodle connects to the Mobile Quiz server.';
$string['serverurl'] = 'Server URL';
$string['explainserverurl'] = 'The URL of the Mobile Quiz server. It is unlikely you will need to change this setting.';
$string['serverusername'] = 'Server Username';
$string['explainserverusername'] = 'The Username of your account on the Mobile Quiz server. The default \'moodletest\' account is a public account. To create your own account go to http://www.mobilestudy.org';
$string['serverpassword'] = 'Server Password';
$string['explainserverpassword'] = 'The Password of your account on the Mobile Quiz server.';
$string['proxy'] = 'Proxy';
$string['explainproxy'] = 'The proxy server used by your site for internet access.';
$string['proxyuserpass'] = 'Proxy Username and Password';
$string['explainproxyuserpass'] = 'The Username:Password used by your proxy.';


$string['Mobile'] = 'Mobile';

$string['options_warning'] = 'Warning: The mobile quiz does not support the following options which have been selected for the current quiz:';
$string['view_intro'] = 'This page gives you access to a version of the $a->quiz_a_element quiz that you can use on a mobile phone. The mobile quiz will work on most modern phones - specifically those that can run java applications. Please note that the mobile quiz is for practice only. You cannot submit results using the mobile quiz.';
$string['view_several_ways'] = 'There are several ways to install the mobile quiz application on to your phone.';
$string['install_jad_jar'] = 'Install the $a->jar_a and $a->jad_a files via your computer ';
$string['OR'] = 'OR';
$string['install_internet'] = 'Install via your phone\'s internet connection by pasting the following URL into your phone\'s Web browser: $a->downloadurlm_a';
$string['install_qrcode'] = 'Install via your phone\'s internet connection by scanning $a->qrcode_a_start this QR Code</a> into your phone';
$string['more_detailed_instructions'] = 'See below for more detailed installation instructions.';

$string['install_by_connection_h'] = 'Install the mobile quiz by connecting the phone to your computer.'; 
$string['install_by_connection_p'] = 'Most phones can be connected to a computer using a USB cable or Bluetooth. You then use software supplied with the phone to install the application. If you choose to use this method of installation follow these steps:';
$string['install_by_connection_li1'] = 'Make sure you have installed the software supplied with your phone that allows you to transfer files between your phone and computer. eg Many Nokia phones are supplied with a program called <i>Nokia PC Suite</i>.';
$string['install_by_connection_li2'] = 'Connect the phone your computer.';
$string['install_by_connection_li3'] = 'The mobile quiz application consists of a $a->jar_a file and (optionally) a $a->jad_a file. You need to save these files to your computer. Simply click on the jar and jad links and follow the prompts to save the files. Please remember the name and location of the file that you have saved.';
$string['install_by_connection_li4'] = 'Using the software described in step 1, install the mobile quiz application on to your phone. eg. In the <i>Nokia PC Suite</i> you would select <i>Install Applications</i>, then select the jar file (eg midlet.jar) and click the install button.';
$string['install_by_connection_li5'] = 'To run the mobile quiz application, you may need to navigate though your phone\'s menu to find the location where the mobile quiz application has been installed. eg. On some Nokia phones, you would press the \'Menu\' button then go to Applications and then \'My Own\'. Some phones may install the application under \'Games\'.';

$string['install_by_internet_h'] = 'Install the mobile quiz via your phone\'s internet connection';
$string['install_by_internet_p'] = 'If your phone has a Web Browser and a connection to the internet, then you can follow these steps to install the mobile quiz.';
$string['install_by_internet_li1'] = 'On your phone, navigate to the location that allows you to enter a URL (web address). On many Nokia phones, you would select the \'Menu\' button then go to \'Web/Options/Navigation options/Go to web address\'. See your phone\'s operating instructions for more information.';
$string['install_by_internet_li2'] = 'Enter this URL: $a->downloadurlm_a';
$string['install_by_internet_li3'] = 'The browser should then display a download page for the mobile quiz. Simply select the download link and follow the prompts.';

$string['install_by_qrcode_h'] = 'Install the mobile quiz via your phone\'s internet connection using QR Code';
$string['install_by_qrcode_p'] = 'QR Codes are two dimensional bar codes that can be scanned by phones that have the appropriate reader software (eg. <a href=\"http://www.neoreader.com/\">neoreader</a>).  The QR Code contains the URL of the mobile quiz and when scanned will cause the phone\'s browser to launch and load the quiz URL. To install the mobile quiz using the QR Code follow these steps:';
$string['install_by_qrcode_li1'] = 'Click $a->qrcode_a_start here</a> to display the QR Code</a>';
$string['install_by_qrcode_li2'] = 'Scan the QR Code using your phone\'s reader software';
$string['install_by_qrcode_li3'] = $string['install_by_internet_li3'];


$string['brought_to_you_by'] = 'Brought to you by <a href=\"http://www.mobilestudy.org/\">mobilestudy.org</a>';

$string['cannot_update'] = 'Mobile Quizzes cannot be updated. If the parent quiz has been updated recently , delete the mobile quiz and create another.';
$string['no_quizzes_in_course'] = 'There are no quizzes in this course';
$string['create_a_mobile_quiz'] = 'Create a mobile version of an existing quiz. The mobile quiz can be downloaded onto a mobile phone and used without the need for an internet connection. Note that the mobile quiz is for practice only and attempts are not recorded.';
$string['only_true_false'] = 'Only True/False, Multiple Choice and Short Answer question types can be displayed by the mobile quiz.';
$string['results_submit_description'] = 'You can supply a phone number when creating the mobile quiz. Students will have the option of sending their results by SMS to this number when they have completed the quiz on their phone.';

$string['select_quiz_to_mobilize'] = 'Select Quiz to Mobilize';
$string['results_can_be_sent'] = 'Results can be sent by SMS to';

?>
